import email
import fcntl
 
class MBox:
	def __init__(self, name, mode="r"):
		self.name = name
		self.mode = mode
		self.fp = open(name, mode)
 
	def append(self, mail):
		fcntl.lockf(self.fp, fcntl.LOCK_EX)
		self.fp.write(str(mail))
		fcntl.lockf(self.fp, fcntl.LOCK_UN)
 
	def close(self):
		self.fp.close()
 
if __name__ == '__main__':
	import poplib
	mbox = MBox("spamMail", "w")
	M = poplib.POP3('')
	M.user('')
	M.pass_('')
	for i in range(len(M.list()[1])):
		m = "\r\n".join(M.retr(i+1)[1])
		f = email.message_from_string(m)
		mbox.append(f)
	mbox.close()

# Local Variables:
# mode: python
# End: